[Debian-in-commits] [SCM] Git repository for debian-in branch, master, updated. 2e60472847052975d8ee30dbaa32ff8b96f480d0

Vasudev Kamath kamathvasudev at gmail.com
Sun Jan 8 14:08:46 UTC 2012


The following commit has been merged in the master branch:
commit 2e60472847052975d8ee30dbaa32ff8b96f480d0
Author: Vasudev Kamath <kamathvasudev at gmail.com>
Date:   Sun Jan 8 19:38:59 2012 +0530

    Test script to build all fonts

diff --git a/docs/build-fonts.sh b/docs/build-fonts.sh
new file mode 100755
index 0000000..1b7b7dd
--- /dev/null
+++ b/docs/build-fonts.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+
+if [ $# -ne 1 ];then
+    echo "Please Give me absolute path to the directory to look for font package repos"
+    exit 1
+fi
+
+FOLDER=$1
+
+sudo echo "I want to take sudo password to work without bothering you :)"
+
+for package in $(ls -d $FOLDER/fonts-*);do
+    echo "Changing to $package"
+    cd $package
+    echo "
+[git-buildpackage]
+builder = git-pbuilder -uc -us" > .git/gbp.conf
+    git-buildpackage --git-pristine-tar
+    rm .git/gbp.conf
+    cd $FOLDER
+done
+
+echo "Built all fonts succesfully. Find it in the $FOLDER"
\ No newline at end of file

-- 
Git repository for debian-in



More information about the Debian-in-commits mailing list